Description

Hi, 
if you insert new lines into an editing layer with the tools such as line/polyline/arc/spline/etc and if the new line starts on a node that
already exists (using the snapping tools), the first section did not appear until you clicked on the second vertex point. For the following
sections, the line can be seen since you click on the first vertex point.

If the new line is edited isolated (without starting on an existing node), the behaviour is correct.

Thanks!

History
#1 - 05/10/2012 08:04 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 06/24/2012 09:41 PM - Joaquín  del Cerro Murciano
- Assignee set to Juan Lucas Domínguez
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#3 - 06/26/2012 11:51 AM - Juan Lucas Domínguez
- Status changed from New to In progress

#4 - 06/26/2012 11:57 AM - Juan Lucas Domínguez
- Status changed from In progress to Fixed

gvsig-desktop:r38520

Small change in management of relevant point. 'mapAdjustedPoint' comes from a previously existing geometry (example: snapping) but it probably
must never be used in this case (drawing). Perhaps some testing needed.

#5 - 08/29/2012 02:30 PM - Joaquín  del Cerro Murciano
- Status changed from Fixed to Closed
